// To parse this JSON data, do
//
//     final organizationMembership = organizationMembershipFromJson(jsonString);

import 'dart:convert';

OrganizationMembership organizationMembershipFromJson(String str) => OrganizationMembership.fromJson(json.decode(str));

String organizationMembershipToJson(OrganizationMembership data) => json.encode(data.toJson());

class OrganizationMembership {
    OrganizationMembership({
        this.agency,
    });

    final Agency? agency;

    factory OrganizationMembership.fromJson(Map<String, dynamic> json) => OrganizationMembership(
        agency: json["agency"] == null ? null : Agency.fromJson(json["agency"]),
    );

    Map<String, dynamic> toJson() => {
        "agency": agency?.toJson(),
    };
}

class Agency {
    Agency({
        this.id,
        this.name,
        this.category,
        this.privateEntity,
    });

    final int? id;
    final String? name;
    final Category? category;
    final bool? privateEntity;

    factory Agency.fromJson(Map<String, dynamic> json) => Agency(
        id: json["id"],
        name: json["name"],
        category: json["category"] == null ? null : Category.fromJson(json["category"]),
        privateEntity: json["private_entity"],
    );

    Map<String, dynamic> toJson() => {
        "id": id,
        "name": name,
        "category": category?.toJson(),
        "private_entity": privateEntity,
    };
}

class Category {
    Category({
        this.id,
        this.name,
        this.industryClass,
    });

    final int? id;
    final String? name;
    final IndustryClass? industryClass;

    factory Category.fromJson(Map<String, dynamic> json) => Category(
        id: json["id"],
        name: json["name"],
        industryClass: json["industry_class"] == null ? null : IndustryClass.fromJson(json["industry_class"]),
    );

    Map<String, dynamic> toJson() => {
        "id": id,
        "name": name,
        "industry_class": industryClass?.toJson(),
    };
}

class IndustryClass {
    IndustryClass({
        this.id,
        this.name,
        this.description,
    });

    final int? id;
    final String? name;
    final String? description;

    factory IndustryClass.fromJson(Map<String, dynamic> json) => IndustryClass(
        id: json["id"],
        name: json["name"],
        description: json["description"],
    );

    Map<String, dynamic> toJson() => {
        "id": id,
        "name": name,
        "description": description,
    };
}
